/* tama tyyli kaytossa kun tiedot ennen kuvia */

main, header, section, footer, aside, nav, article, figure /* varmistaa näiden toiminnan vanhemmissa selaimissa */
{
display: block;
} 

a:link { color: blue }
a:visited { color: black }
a:active { color: red }

body { color: black;
background-color: #c0c0c0;
text-align:"center";
 }

h1 { text-align: left;
font-size: 164%;
font-weight: normal;
margin-left: 0px;
margin-top: 0.2em;
margin-bottom: 0.2em;
color: #000000;
}

h2 { text-align: left;
font-size: 128%;
font-style: italic;
font-weight: normal;
margin-left: 0px;
margin-bottom: 8px;
margin-top: 4px;
color: #000000;
}

h3 { text-align: left;
font-size: 90%;
font-weight: normal;
margin-left: 0px;
margin-top: 0.2em;
margin-bottom: 0.2em;
color: #000000;
}

span { text-align: left;
font-size: 100%;
font-style: italic;
font-weight:bold;
}

ul {
padding: 2px;
padding-left:12px;
margin-left: 0px;
margin-top: 4px;
margin-bottom: 1em;
}

ul li{
list-style-type: disc;
list-style-position:outside;
padding-left:2px;
}

nav {
width:auto;
clear:none;
text-align:center;
margin-top: 1em;
margin-bottom: 1em;
margin-left:auto;
margin-right:auto;
}

nav span {
text-decoration:none;
font-style: normal;
font-weight: normal;
color: #888888;
background-color: #c0c0c0;
padding: 6px;
padding-left: 20px;
padding-right: 20px;
margin: 4px; 2px;
border: 1px dotted #a0a0a0;
}

nav a {
text-decoration:none;
background-color:#c0c0c0;
padding: 6px;
padding-left: 20px;
padding-right: 20px;
margin: 4px; 2px;
border: 1px solid #a0a0a0;
}

nav a:hover {
color: white;
background-color: green;
}

header {
font-size: 100%;
text-align:left;
margin: 0em;
padding-left: 0.2em;
padding-top: 0.5em;
padding-bottom: 0.5em;
background-color: #d8d8d8;
}

header a {
text-decoration:none;
}

header a:link, header a:visited {
color: black }

header a:hover {
text-decoration:underline;
}

main {
display: block;
width:auto;
height:auto;
max-width:1200px;
text-align:left;
margin-left:auto;
margin-right:auto;
margin-bottom: 0em;
margin-top: 0px;
background-color:#ffffff;
padding-top: 0px;
padding-bottom: 1em;
}

div, .kuvarivi {
clear:both;
margin: 0px;
padding: 0px;
}

section {
display: block;
float: left;
width:auto;
height:auto;
max-width:400px;
margin:2px;
padding:4px;
background-color:#ffffff;
}

figure {
width:192px;
display: inline;
float: left;
text-align:center;
margin:0px;
padding-top: 4px;
padding-bottom:4px;
}

figure img {
display: inline;
float: none;
border: 4px solid #ffffff;
}

figure a:hover img {
padding: 0px;
border: 4px solid green;
}

figcaption {
display: block;
clear: none;
font-size: 80%;
text-align:center;
margin-top: 4px;
margin-bottom: 8px;
margin-left:auto;
margin-right:auto;
}

footer {
clear:both;
font-size: smaller;
text-align:center;
margin-top: 2em;
margin-bottom: 2em;
margin-left:auto;
margin-right:auto;
}

